<script setup>
    import { ref, computed, watch } from 'vue';
    const index = ref(0);

    const props = defineProps({
        taille: Number,
        page: Number
    });

    function precedant() {
        index.value--;
        return index.value;
    }

    function suivant() {
        index.value++;
        return index.value;
    }

    watch(() => props.page, (nouvellePage) => {
        index.value = nouvellePage;
    });

    const debut = computed(() => index.value === 0);

    const fin = computed(() => index.value === props.taille - 1);


</script>

<template>
    <div class="gestion-liste">
        <button @click="$emit('index', precedant ())" :disabled="debut" class="btn btn-secondary">
            <i class="bi bi-arrow-left"></i>
        </button>
        <span class="index">{{ index + 1 }}</span>
        <button @click="$emit('index', suivant ())" :disabled="fin" class="btn btn-primary">
            <i class="bi bi-arrow-right"></i>
        </button>
    </div>
</template>

<style scoped>
    .gestion-liste {
        width: 100%;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }
    .index {
        margin: 0 1rem;
    }
</style>